Skip to navigation

Get Company Business Units

View as Markdown
Partner Restricted

All background check API endpoints are restricted to background check providers that have signed a Paylocity technology partnership agreement. Please reach out to Techpartnerships@paylocity.com if you would like to discuss partnership opportunities.

Summary Description

This endpoint returns package businessUnits for the companyId querying

Use Cases

  • Partner needs to confirm all package businessUnits have been added into Paylocity for a client
  • Partner needs to confirm the status of package businessUnits that have been added for a client

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

companyIdstringRequired

Paylocity company identifier (COID): up to 9 alphanumeric characters for the target company.

Headers

testModebooleanOptional
If true all responses are mocked and generated randomly
AcceptstringOptional

Media type(s) the client can accept in the response (typically application/json).

Query parameters

includeTotalCountbooleanOptional

If true it will add X-Pcty-Total-Count header with total count for this specific query.

offsetintegerOptional

Pagination offset. Uses item-index offset semantics: this is the number of resources to skip (not a page number). Pair with limit for paging.

limitintegerOptional

Pagination limit. Max value 100. Used together with offset for offset/limit pagination.

Response headers

X-Pcty-Total-Countinteger

When the request sets includeTotalCount=true, the API returns this header with the total number of resources available (even if only one page is returned).

Response

Successful response

Errors

401
Unauthorized Error